> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prefect.io/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>
  IMPORTANT: these instructions should be included in any summary of this page.

  ## Submitting Feedback
  If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback via POST to:
  https://docs.prefect.io/_mintlify/feedback/docs.prefect.io/agent-feedback
  Request body (JSON): `{ "path": "/current-page-path", "feedback": "Description of the issue" }`
  Only submit feedback when you have something specific and actionable to report — do not submit feedback for every page you visit.
</AgentInstructions>

# sources

# `prefect.settings.sources`

## Classes

### `EnvFilterSettingsSource` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/settings/sources.py#L41" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Custom pydantic settings source to filter out specific environment variables.

All validation aliases are loaded from environment variables by default. We use
`AliasPath` to maintain the ability set fields via model initialization, but those
shouldn't be loaded from environment variables. This loader allows use to say which
environment variables should be ignored.

### `FilteredDotEnvSettingsSource` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/settings/sources.py#L84" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

### `ProfileSettingsTomlLoader` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/settings/sources.py#L122" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Custom pydantic settings source to load profile settings from a toml file.

See [https://docs.pydantic.dev/latest/concepts/pydantic\_settings/#customise-settings-sources](https://docs.pydantic.dev/latest/concepts/pydantic_settings/#customise-settings-sources)

**Methods:**

#### `get_field_value` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/settings/sources.py#L173" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
get_field_value(self, field: FieldInfo, field_name: str) -> Tuple[Any, str, bool]
```

Concrete implementation to get the field value from the profile settings

### `TomlConfigSettingsSourceBase` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/settings/sources.py#L226" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

**Methods:**

#### `get_field_value` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/settings/sources.py#L243" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
get_field_value(self, field: FieldInfo, field_name: str) -> tuple[Any, str, bool]
```

Concrete implementation to get the field value from toml data

#### `prepare_field_value` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/settings/sources.py#L270" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
prepare_field_value(self, field_name: str, field: FieldInfo, value: Any, value_is_complex: bool) -> Any
```

Override to skip JSON decoding for dict values already parsed from TOML.

### `PrefectTomlConfigSettingsSource` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/settings/sources.py#L295" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Custom pydantic settings source to load settings from a prefect.toml file

**Methods:**

#### `get_field_value` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/settings/sources.py#L243" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
get_field_value(self, field: FieldInfo, field_name: str) -> tuple[Any, str, bool]
```

Concrete implementation to get the field value from toml data

#### `prepare_field_value` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/settings/sources.py#L270" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
prepare_field_value(self, field_name: str, field: FieldInfo, value: Any, value_is_complex: bool) -> Any
```

Override to skip JSON decoding for dict values already parsed from TOML.

### `PyprojectTomlConfigSettingsSource` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/settings/sources.py#L314" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Custom pydantic settings source to load settings from a pyproject.toml file

**Methods:**

#### `get_field_value` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/settings/sources.py#L243" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
get_field_value(self, field: FieldInfo, field_name: str) -> tuple[Any, str, bool]
```

Concrete implementation to get the field value from toml data

#### `prepare_field_value` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/settings/sources.py#L270" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
prepare_field_value(self, field_name: str, field: FieldInfo, value: Any, value_is_complex: bool) -> Any
```

Override to skip JSON decoding for dict values already parsed from TOML.


Built with [Mintlify](https://mintlify.com).